Skip to main content
GET
Retrieve a step

Authorizations

Authorization
string
header
required

Bearer token issued via the Authentication endpoints.

Headers

Authorization
string
required

A bearer authorization header containing a Risk Cloud API access token in the format Authorization: Bearer TOKEN — replace TOKEN with your actual access token.

To obtain a Risk Cloud API access token, refer to Obtain an API Access Token in the LogicGate Help Center.

Path Parameters

id
string
required

The unique ID of the step

Response

200 - application/json

OK

id
string

The unique ID of this Risk Cloud resource

Example:

"a1b2c3d4"

name
string

The name of the step

Example:

"Identify Risk"

description
string

The description of the step

Example:

"This is a description of the step"

xpos
integer<int32>

The x-coordinate of the step in the application builder

Example:

20

ypos
integer<int32>

The y-coordinate of the step in the application builder

Example:

20

type
enum<string>

The type of the step

Available options:
ORIGIN,
CHAIN,
END
Example:

"ORIGIN"

enableComments
boolean

Whether comments are displayed on a step

Example:

false

assignableUserType
enum<string>

Indicates which users are allowed to be assigned this step on a record

Available options:
APP_AND_EXTERNAL_USERS,
APP_USERS,
EXTERNAL_USERS
Example:

"APP_USERS"

externalUserMfaRequired
boolean

Whether MFA is required for external users to access this step.

Example:

false

autofillEnabled
boolean

Whether or not to enable autofill on the step.

Example:

false

workflow
Workflow (Property) · object

The parent workflow of the step

object
string

Identifies the type of object this data represents

Example:

"step"